Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 9273 - Reimplement modules/patches/
Reimplement modules/patches/
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
PC Linux
: P4 (vote)
: 3.x
Assigned To: Jesse Glick
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-29 18:35 UTC by Jesse Glick
Modified: 2008-12-22 17:12 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2001-01-29 18:35:00 UTC
The functionality of modules/patches/ (being able to patch module JARs without
modifying the actual JAR) was removed in splitloaders, as it did not work as is.
Could be reimplemented some other way; would need to have each patch somehow
identify which module it was patching, else the loading would not work.
Comment 1 Jan Chalupa 2001-05-05 20:32:47 UTC
Target milestone -> 3.3
Comment 2 Jesse Glick 2001-08-28 19:46:01 UTC
Implemented. modules/patches/<<name>>/*.jar works, where <<name>> is
the code name base with dashes in place of dots.

Module.java 1.8
Events.java 1.11
NbEvents.java 1.14
Comment 3 Quality Engineering 2003-07-01 16:06:53 UTC
Resolved for 3.4.x or earlier, no new info since then -> verified.

Comment 4 Quality Engineering 2003-07-01 16:51:19 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo